Last Comment Bug 318424 - Java PopupMenu doesn't work in Firefox 1.5 on Mac OS X
: Java PopupMenu doesn't work in Firefox 1.5 on Mac OS X
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- major with 1 vote (vote)
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
:
:
Mentors:
http://www.we06.de/javabug/javabug.html
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 14:30 PST by Holger Meyer
Modified: 2007-04-18 16:02 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Example that doesn't work (11.10 KB, application/zip)
2005-11-30 14:32 PST, Holger Meyer
no flags Details

Description Holger Meyer 2005-11-30 14:30:28 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; de-de) AppleWebKit/416.11 (KHTML, like Gecko) Safari/416.12
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; de; rv:1.8) Gecko/20051111 Firefox/1.5

In an applet using a Java PopupMenu it doesn't work on Mac OSX. When the Menu pops up you can't close it by clicking next to the menu. On Safari at the same Computer everything works ok. It also works on Firefox Windows.

Reproducible: Always

Steps to Reproduce:
1. Open the above URL in Firefox 1.5 on Mac OSX
2. Klick the Menu Bar Which is shown in the Browser Window after the applet is loaded
3. Click next to the opened menu

Actual Results:  
Menu stays open

Expected Results:  
Menu should close

The menu is made with the native Java PopupMenu Class
Comment 1 Holger Meyer 2005-11-30 14:32:45 PST
Created attachment 204603 [details]
Example that doesn't work
Comment 2 Steven Michaud [:smichaud] (Retired) 2005-11-30 17:34:23 PST
I'm able to reproduce this problem in Firefox 1.5 for OS X (which bundles
version 0.9.5 of the Java Embedding Plugin) and also in Firefox 1.0.7 for OS X
(when used together with the latest version (0.9.5+b) of the Java Embedding
Plugin).

I will try to fix this problem in the next release of the Java Embedding
Plugin.

For more information see:

http://javaplugin.sourceforge.net/
http://www.mozillazine.org/talkback.html?article=7230

Comment 3 Steven Michaud [:smichaud] (Retired) 2005-11-30 17:51:28 PST
I should mention that your URL doesn't work (it doesn't load your sample
applet), and that your download (attachment 204603 [details]) only works if you edit
javabug.html's APPLET tag to get rid of its "codebase".
Comment 4 Holger Meyer 2005-12-01 00:27:38 PST
Thanks!

I changed the above URL, now it works.
Comment 5 Steven Michaud [:smichaud] (Retired) 2006-01-29 12:03:01 PST
I've just released a new version of the Java Embedding Plugin (0.9.5+c) that
resolves this issue:

http://javaplugin.sourceforge.net/

To test the fix you'll need to follow the instructions in the JEP's Readme to
install the two parts of the JEP to your /Library/Internet Plug-Ins/
directory.  But you'll also need to remove the old copy of the JEP that's
bundled with Firefox 1.5.  To do this, delete the following two files from the
Contents/MacOS/plugins/ directory of your copy of Firefox 1.5:

  JavaEmbeddingPlugin.bundle
  MRJPlugin.plugin

Comment 6 Smokey Ardisson (offline for a while; not following bugs - do not email) 2007-04-18 16:02:51 PDT
Attachment 204603 [details] as edited works in fx2003, so marking FIXED by 0.9.5+c.

Note You need to log in before you can comment on or make changes to this bug.